Bug 736749 - may need a dbus-x11 package dependency for subscription-manager-gnome
Summary: may need a dbus-x11 package dependency for subscription-manager-gnome
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Chris Duryee
QA Contact:
URL:
Whiteboard:
Depends On: 707752
Blocks: 715031
TreeView+ depends on / blocked
 
Reported: 2011-09-08 15:36 UTC by John Sefler
Modified: 2012-02-21 06:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No description necessary
Clone Of: 707752
Environment:
Last Closed: 2012-02-21 06:31:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0154 normal SHIPPED_LIVE subscription-manager bug fix update 2012-02-20 15:06:04 UTC

Comment 1 John Sefler 2011-09-08 15:42:40 UTC
I am cloning this bug to rhel5.8 so that we can re-verify that the fix from the rhel62 dev/qe cycle actually works on an a RHEL5 ia64 platform as was originally reported against rhel5.7.  The verification on rhel58 should include more than the "rpm -q subscription-manager-gnome --requires" verification that was submitted for rhel62.

Comment 3 John Sefler 2011-11-29 22:08:55 UTC
Verification....

[jsefler@jseflerT5400 ~]$ ssh -XYC root@hp-bl860c-01.rhts.eng.bos.redhat.com
The authenticity of host 'hp-bl860c-01.rhts.eng.bos.redhat.com (10.16.65.35)' can't be established.
RSA key fingerprint is 47:85:03:c4:ed:3c:53:0e:cd:eb:ae:9f:f9:53:46:3a.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'hp-bl860c-01.rhts.eng.bos.redhat.com,10.16.65.35' (RSA) to the list of known hosts.
root@hp-bl860c-01.rhts.eng.bos.redhat.com's password: 
**  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **
                 This System is reserved by imanage-qe-list@redhat.com.

 To return this system early. You can run the command: return2beaker.sh
  Ensure you have your logs off the system before returning to Beaker

 To extend your reservation time. You can run the command:
  extendtesttime.sh
 This is an interactive script. You will be prompted for how many
  hours you would like to extend the reservation.
  Please use this command responsibly, Everyone uses these machines.

 You should verify the watchdog was updated succesfully after
  you extend your reservation.
  https://beaker.engineering.redhat.com/recipes/343462

 For ssh, kvm, serial and power control operations please look here:
  https://beaker.engineering.redhat.com/view/hp-bl860c-01.rhts.eng.bos.redhat.com

      Beaker Test information:
                         HOSTNAME=hp-bl860c-01.rhts.eng.bos.redhat.com
                            JOBID=163811
                         RECIPEID=343462
                    RESULT_SERVER=127.0.0.1:7093
                           DISTRO=RHEL5.8-Server-20111128.0.n
                     ARCHITECTURE=ia64
**  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **
[root@hp-bl860c-01 ~]# rpm -qa | grep subscription-manager
subscription-manager-0.98.3-1.el5
rh-tests-subscription-manager-Install-sets-up-subscription-manager-env-1.0-20
[root@hp-bl860c-01 ~]# yum remove -q dbus-x11
Unable to read consumer identity

================================================================================
 Package           Arch          Version               Repository          Size
================================================================================
Removing:
 dbus-x11          ia64          1.1.2-19.el5          installed           43 k

Transaction Summary
================================================================================
Remove        1 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Is this ok [y/N]: y
[root@hp-bl860c-01 ~]# yum install subscription-manager-gnome
Loaded plugins: katello, product-id, security, subscription-manager
Updating certificate-based repositories.
Unable to read consumer identity
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package subscription-manager-gnome.ia64 0:0.98.3-1.el5 set to be updated
--> Processing Dependency: gnome-python2-canvas for package: subscription-manager-gnome
--> Processing Dependency: usermode-gtk for package: subscription-manager-gnome
--> Processing Dependency: dbus-x11 for package: subscription-manager-gnome
--> Running transaction check
---> Package dbus-x11.ia64 0:1.1.2-19.el5 set to be updated
---> Package gnome-python2-canvas.ia64 0:2.16.0-1.fc6 set to be updated
---> Package usermode-gtk.ia64 0:1.88-3.el5.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                       Arch    Version           Repository        Size
================================================================================
Installing:
 subscription-manager-gnome    ia64    0.98.3-1.el5      beaker-Server    362 k
Installing for dependencies:
 dbus-x11                      ia64    1.1.2-19.el5      beaker-Server     36 k
 gnome-python2-canvas          ia64    2.16.0-1.fc6      beaker-Server     28 k
 usermode-gtk                  ia64    1.88-3.el5.2      beaker-Server    136 k

Transaction Summary
================================================================================
Install       4 Package(s)
Upgrade       0 Package(s)

Total download size: 561 k
Is this ok [y/N]: y
Downloading Packages:
(1/4): gnome-python2-canvas-2.16.0-1.fc6.ia64.rpm        |  28 kB     00:00     
(2/4): dbus-x11-1.1.2-19.el5.ia64.rpm                    |  36 kB     00:00     
(3/4): usermode-gtk-1.88-3.el5.2.ia64.rpm                | 136 kB     00:00     
(4/4): subscription-manager-gnome-0.98.3-1.el5.ia64.rpm  | 362 kB     00:00     
--------------------------------------------------------------------------------
Total                                           554 kB/s | 561 kB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : dbus-x11                                                 1/4 
  Installing     : usermode-gtk                                             2/4 
  Installing     : gnome-python2-canvas                                     3/4 
  Installing     : subscription-manager-gnome                               4/4 
Installed products updated.

Installed:
  subscription-manager-gnome.ia64 0:0.98.3-1.el5                                

Dependency Installed:
  dbus-x11.ia64 0:1.1.2-19.el5       gnome-python2-canvas.ia64 0:2.16.0-1.fc6  
  usermode-gtk.ia64 0:1.88-3.el5.2  

Complete!
[root@hp-bl860c-01 ~]# subscription-manager-gui 

^^^ VERIFIED THAT dbus-X11 WAS CORRECTLY INSTALLED AS A NEEDED DEPENDENCY OF subscription-manager-gui ON RHEL5.8-Server ia64 AND THE GUI WAS RENDERED AS EXPECTED.

moving to VERIFIED.

Comment 4 William Poteat 2012-01-20 19:33:26 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No description necessary

Comment 5 errata-xmlrpc 2012-02-21 06:31:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0154.html


Note You need to log in before you can comment on or make changes to this bug.